> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List plan tiers

> Returns all available plan tiers with their limits and pricing.



## OpenAPI

````yaml https://api.strait.dev/reference/openapi.json get /v1/plans
openapi: 3.1.0
info:
  description: >-
    Production-grade job orchestration platform for background jobs, workflows,
    and managed execution.
  title: Strait API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.strait.dev
security: []
paths:
  /v1/plans:
    get:
      tags:
        - Plans
      summary: List plan tiers
      description: Returns all available plan tiers with their limits and pricing.
      operationId: list-plans
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPlansOutputBody'
          description: OK
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    GetPlansOutputBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/GetPlansOutputBody.json
          format: uri
          readOnly: true
          type: string
        plans:
          items:
            $ref: '#/components/schemas/PlanResponse'
          type:
            - array
            - 'null'
      required:
        - plans
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    PlanResponse:
      additionalProperties: false
      properties:
        ai_assistant_byok:
          type: boolean
        allowed_regions:
          items:
            type: string
          type:
            - array
            - 'null'
        compute_credit_microusd:
          format: int64
          type: integer
        display_name:
          type: string
        free_managed_max_timeout:
          format: int64
          type: integer
        free_managed_preset:
          type: string
        free_managed_runs_per_month:
          format: int64
          type: integer
        has_audit_logs:
          type: boolean
        has_rbac:
          type: boolean
        has_sla:
          type: boolean
        has_sso:
          type: boolean
        max_ai_model_calls_per_day:
          format: int64
          type: integer
        max_alert_rules_per_project:
          format: int64
          type: integer
        max_concurrent_runs:
          format: int64
          type: integer
        max_log_drains_per_org:
          format: int64
          type: integer
        max_members_per_org:
          format: int64
          type: integer
        max_orgs_per_user:
          format: int64
          type: integer
        max_projects_per_org:
          format: int64
          type: integer
        max_runs_per_day:
          format: int64
          type: integer
        max_webhook_subs_per_project:
          format: int64
          type: integer
        overage_per_k_runs_microusd:
          format: int64
          type: integer
        price_annual_usd:
          format: int64
          type: integer
        price_monthly_usd:
          format: int64
          type: integer
        rbac_level:
          type: string
        requires_credit_card:
          type: boolean
        retention_days:
          format: int64
          type: integer
        support_level:
          type: string
        tier:
          type: string
      required:
        - tier
        - display_name
        - price_monthly_usd
        - price_annual_usd
        - max_orgs_per_user
        - max_projects_per_org
        - max_members_per_org
        - max_runs_per_day
        - max_concurrent_runs
        - compute_credit_microusd
        - free_managed_runs_per_month
        - retention_days
        - allowed_regions
        - max_alert_rules_per_project
        - max_webhook_subs_per_project
        - max_log_drains_per_org
        - max_ai_model_calls_per_day
        - ai_assistant_byok
        - has_rbac
        - has_audit_logs
        - has_sso
        - has_sla
        - requires_credit_card
        - overage_per_k_runs_microusd
        - support_level
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: strait_...
      description: API key passed as Bearer token
      scheme: bearer
      type: http

````